OPAM-REPOSITORY(1)

NAME

opam-repository - Manage OPAM repositories.

SYNOPSIS

opam repository [OPTION]... [COMMAND] [ARG]...

DESCRIPTION

This command is used to manage OPAM repositories. To synchronize OPAM with the last versions of the packages available in remote repositories, opam update should be used.

ARGUMENTS

COMMAND
    Name of the sub-command. See the COMMANDS section for more info.

OPTIONS

-k KIND, --kind=KIND
    Specify the kind of the repository to be set (the main ones are 'http', 'local', 'git', 'darcs' or 'hg').

-p INT, --priority=INT
    Set the repository priority (bigger is better)

-s, --short
    Output the names separated by one whitespace instead of using the usual formatting.

COMMANDS

add Add the repository name available at address address to the list of repositories used by OPAM, with priority priority. The repository priority can be optionally specified with --priority, otherwise the new repository has a higher priority then any other existing repositories. The kind of the repository can be specified with the --kind option, otherwise it will be determined automatically.

remove
    Remove the repository named name from the list of repositories used by OPAM.

list
    List all repositories used by OPAM.

priority
    Change the priority of repository named name to priority.

COMMON OPTIONS

These options are common to all commands.

--color=WHEN (absent=auto)
    Colorize the output. WHEN must be `always', `never' or `auto'.

--compat-mode-1.0
    Compatibility mode with OPAM 1.0

--debug
    Print debug message on stdout. This is equivalent to setting $OPAMDEBUG to a non-empty value.

--git-version
    Print the git version if it exists and exit.

--help[=FMT] (default=pager)
    Show this help in format FMT (pager, plain or groff).

--no-aspcud
    Do not use the external aspcud solver, even if available.

--no-base-packages
    Do not install base packages (useful for testing purposes). This is equivalent to setting $OPAMNOBASEPACKAGES to a non-empty string.

-q, --quiet
    Be quiet when installing a new compiler.

-r ROOT, --root=ROOT (absent=~/.opam)
    Use ROOT as the current root path. This is equivalent to setting $OPAMROOT to ROOT.

--strict
    Fail whenever an error is found in a package definition or a configuration file. The default is to continue silently if possible.

--switch=SWITCH
    Use SWITCH as the current compiler switch. This is equivalent to setting $OPAMSWITCH to SWITCH.

-v, --verbose
    Be more verbose. This is equivalent to setting $OPAMVERBOSE to a non-empty value.

--version
    Show version information.

-y, --yes
    Disable interactive mode and answer yes to all questions that would otherwise be asked to the user. This is equivalent to setting $OPAMYES to a non-empty string.

ENVIRONMENT VARIABLES

opam makes use of environment variables listed here.

OPAMCOLOR, when set to always or never, sets a default value for the --color option

OPAMCURL can be used to define an alternative for the 'curl' command-line utility to download files

FURTHER DOCUMENTATION

See https://opam.ocaml.org.

AUTHORS

Thomas Gazagnaire <thomas@gazagnaire.org>

Anil Madhavapeddy <anil@recoil.org>

Fabrice Le Fessant <Fabrice.Le_fessant@inria.fr>

Frederic Tuong <tuong@users.gforge.inria.fr>

Louis Gesbert <louis.gesbert@ocamlpro.com>

Vincent Bernardoff <vb@luminar.eu.org>

Guillem Rieu <guillem.rieu@ocamlpro.com>

BUGS

Check bug reports at https://github.com/OCamlPro/opam/issues.